---
title: PannerNode.maxDistance
slug: Web/API/PannerNode/maxDistance
tags:
  - API
  - PannerNode
  - Property
  - Reference
  - Web Audio API
  - maxDistance
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <code>maxDistance</code> property of the {{ domxref("PannerNode") }} interface is a double value representing the maximum distance between the audio source and the listener, after which the volume is not reduced any further. This value is used only by the <code>linear</code> distance model.</p>

<p>The <code>maxDistance</code> property's default value is <code>10000</code>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var audioCtx = new AudioContext();
var panner = audioCtx.createPanner();
panner.maxDistance = 10000;</pre>

<h3 id="Value">Value</h3>

<p>A double. The default is <code>10000</code>, and non-positive values are not allowed.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt><code>RangeError</code></dt>
 <dd>The property has been given a value that is outside the accepted range.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createPanner","Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-pannernode-maxdistance', 'maxDistance')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PannerNode.maxDistance")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
